/*
 * com.simulogic.cese -- Cell Electrophysiology Simulation Environment (CESE)
 *
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * Dalhousie Univ., Halifax, NS, Canada
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.simulogic.cese;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Class for accessing default ResourceBundle
 */
public class ResourceManager extends Object {

    private static ResourceBundle bundle;

    static {
        try {
            bundle = ResourceBundle.getBundle("com/simulogic/cese/Resources");
            if (!getResource("Locale").equals("default"))
                    bundle = ResourceBundle
                            .getBundle("com/simulogic/cese/Resources" + "_"
                                    + getResource("Locale"));
        } catch (MissingResourceException mre) {
        }
    }

    /**
     * Returns the resource bundle
     * 
     * @return bundle
     */
    public static ResourceBundle getBundle() {
        return bundle;
    }

    /**
     * Gets string from the bundle
     * 
     * @param key key name
     * @return key value
     */
    public static String getResource(String key) {
        try {
            return bundle.getString(key);
        } catch (MissingResourceException mre) {
            return "null";
        }
    }
}