/*
 * com.simulogic.cese -- Cell Electrophysiology Simulation Environment (CESE)
 *
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * Dalhousie Univ., Halifax, NS, Canada
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.simulogic.cese.properties;

import java.beans.PropertyDescriptor;

/**
 * Renderer for the export tree
 */
public class ExportTreeRenderer extends
        javax.swing.tree.DefaultTreeCellRenderer {

    /**
     * Returns rendering component
     * 
     * @param tree export tree
     * @param value current value
     * @param selection true if value is selected
     * @param expanded true if value is expanded
     * @param leaf true if value is leaf
     * @param row current row number
     * @param hasFocus true if value has focus
     * @return rendering component
     */
    public java.awt.Component getTreeCellRendererComponent(
            javax.swing.JTree tree, Object value, boolean selection,
            boolean expanded, boolean leaf, int row, boolean hasFocus) {

        super.getTreeCellRendererComponent(tree, value, selection, expanded,
                leaf, row, hasFocus);
        if (leaf) {
            PropertyDescriptor pd = (PropertyDescriptor) value;
            setText(pd.getName().substring(5));
        }
        return this;
    }
}