/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 *
 * Copyright (C) 1999 - 2005 Sergey Missan
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.simulogic.dataview;

import javax.swing.DefaultCellEditor;
import javax.swing.JFormattedTextField;
import javax.swing.SwingConstants;

/**
 * Editor for double values
 */
public class DoubleEditor extends DefaultCellEditor {

    private static JFormattedTextField tf = new JFormattedTextField();

    /**
	 * Default constructor
	 */
    public DoubleEditor() {
        super(tf);
        tf.setFocusLostBehavior(JFormattedTextField.COMMIT);
        tf.setHorizontalAlignment(SwingConstants.RIGHT);
        tf.setBorder(null);
    }

    
    /**
     * Sets new value
     * 
     * @param param value
     */
    public void setValue(Object param) {
        Double value = (Double) param;
        if (value == null) {
            tf.setValue(new Double(0.0));
        } else {
            double d = value.doubleValue();
            tf.setValue(new Double(d));
        }
    }

    public Object getCellEditorValue() {
        try {
            String field = tf.getText();
            Double d = Double.valueOf(field);
            return d;
        } catch (Exception e) {
            return new Double(0.0);
        }
    }

}
