/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 * 
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 *  
 */

package com.simulogic.dataview.actions;

import javax.swing.JCheckBoxMenuItem;
import javax.swing.JToggleButton;

/**
 * CreateFrame action implementation
 */
public class CreateFrameAction extends com.simulogic.utils.ActionSupport {

    private com.simulogic.dataview.DataDesktop desktop;
    private javax.swing.JToggleButton button;
    private JCheckBoxMenuItem item;
    private boolean state;

    /**
     * Creates new action
     * 
     * @param d desktop
     */
    public CreateFrameAction(com.simulogic.dataview.DataDesktop d) {
        this();
        desktop = d;

        state = desktop.isCreateFrame();

        button = new javax.swing.JToggleButton(this);
        button.setSelectedIcon(new javax.swing.ImageIcon(this.getClass()
                .getResource(
                        com.simulogic.dataview.ResourceManager
                                .getResource("newwin_image"))));
        button.setSelected(state);

        item = new JCheckBoxMenuItem(this);
        item.setIcon(null);
        item.setSelected(state);
    }

    /**
     * Creates new action
     */
    public CreateFrameAction() {
        super(com.simulogic.dataview.ResourceManager
                .getResource("Select_New/Top_Window"),
                com.simulogic.dataview.ResourceManager
                        .getResource("Select_new/top_window"),
                com.simulogic.dataview.ResourceManager
                        .getResource("topwin_image"));
    }

    /**
     * Returns JToggleButton as a control for action
     * 
     * @return control button
     */
    public JToggleButton getButton() {
        return button;
    }

    /**
     * Returns JCheckBoxMenuItem as a control for action
     * 
     * @return control menu item
     */
    public JCheckBoxMenuItem getItem() {
        return item;
    }

    /**
     * Action interface implementation
     * 
     * @param evt event
     */
    public void actionPerformed(java.awt.event.ActionEvent evt) {
        state = !state;
        desktop.setCreateFrame(state);
        button.setSelected(state);
        item.setSelected(state);
    }
}