/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 *
 * Copyright (C) 1999 - 2005 Sergey Missan
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.simulogic.dataview.plots;

import java.util.Vector;

/**
 * Model for plot types
 */
public class PlotTypeModel {

	private Vector plots;

	public PlotTypeModel() {
		super();

		plots = new Vector();
		plots.add(new LinePlot());
		plots.add(new SymbolPlot());
		plots.add(new HistogramPlot());
		plots.add(new ColumnPlot());
	}

	/**
	 * Returns
	 * 
	 * @return the plots
	 */
	public Vector getPlots() {
		return plots;
	}

}
